/* NTV Siegel Styles – standalone CSS (no build required) */

@media (min-width: 1230px) {
  [is='hero-bild'] .content--has-siegel .badge {
    transform: translateY(75%) translate(calc(50% + var(--container-padding-x))) rotate(12deg);
  }
}

[is='hero-bild'] .ntv-siegel {
  display: none;
}

[is='hero-bild'] .button-siegel-wrapper {
    display: flex;
    gap: 1rem;
    align-items: flex-end;
}

[is='hero-bild'] .button-siegel-wrapper a {
    height: fit-content;
}

@media (min-width: 1230px) {
    [is='hero-bild'] .ntv-siegel {
        display: block;
    }

  [is='hero-bild'] .button-siegel-wrapper .button-wrapper {
    margin-top: 0;
  }

  [is='hero-bild'] .button-siegel-wrapper .ntv-siegel {
    max-width: 100px;
    height: auto;
    margin-right: -1rem;
    margin-bottom: -1.5rem;
    border-radius: 3px;
    flex-shrink: 0;
  }
}

[is='hero-bild'] .ntv-siegel-mobile {
  display: block;
  max-width: 100px;
  position: absolute;
  height: fit-content;
  max-height: 200px;
  object-fit: contain;
  border-radius: 3px;
  bottom: 1rem;
  left: 0.6rem;
  z-index: 2;
}

@media(min-width: 768px){
    [is='hero-bild'] .ntv-siegel-mobile {
        bottom: 1.5rem;
    }
}

@media (min-width: 1230px) {
  [is='hero-bild'] .ntv-siegel-mobile {
    display: none;
  }
}
